For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Search your audit log entries. The query parameters let you restrict the results that return by date ranges, or a full-text search query. The request body lets you restrict the results that return by resource specifiers.
LaunchDarkly uses a resource specifier syntax to name resources or collections of resources. To learn more, read About the resource specifier syntax.
curl --request POST \
--url https://app.launchdarkly.com/api/v2/auditlog \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"effect": "allow",
"resources": [
"proj/*:env/*:flag/*;testing-tag"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
]
}
]
'{
"items": [
{
"_links": {},
"_id": "1234a56b7c89d012345e678f",
"_accountId": "1234a56b7c89d012345e678f",
"date": "1654104600000",
"accesses": [
{
"action": "<string>",
"resource": "<string>"
}
],
"kind": "flag",
"name": "Example feature flag",
"description": "Example, turning on the flag for testing",
"shortDescription": "Example, turning on the flag",
"comment": "This is an automated test",
"subject": {
"_links": {},
"name": "<string>",
"avatarUrl": "<string>"
},
"member": {
"_links": {},
"_id": "507f1f77bcf86cd799439011",
"email": "ariel@acme.com",
"firstName": "Ariel",
"lastName": "Flores"
},
"token": {
"_links": {},
"_id": "<string>",
"name": "DevOps token",
"ending": "2345",
"serviceToken": false
},
"app": {
"_links": {},
"_id": "<string>",
"isScim": true,
"name": "<string>",
"maintainerName": "<string>"
},
"titleVerb": "turned on the flag",
"title": "<string>",
"target": "[Ariel Flores](mailto:ariel@acme.com) turned on the flag [example-flag](https://app.launchdarkly.com/example-project/production/features/example-flag) in Production",
"parent": {
"_links": {},
"name": "<string>",
"resource": "<string>"
}
}
],
"_links": {}
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
A timestamp filter, expressed as a Unix epoch time in milliseconds. All entries returned occurred before the timestamp.
A timestamp filter, expressed as a Unix epoch time in milliseconds. All entries returned occurred after the timestamp.
Text to search for. You can search for the full or partial name of the resource.
A limit on the number of audit log entries that return. Set between 1 and 20. The default is 10.
Whether this statement should allow or deny actions on the resources.
allow, deny "allow"
Resource specifier strings
["proj/*:env/*:flag/*;testing-tag"]Targeted resources are the resources NOT in this list. The resources field must be empty to use this field.
Actions to perform on a resource
["*"]Targeted actions are the actions NOT in this list. The actions field must be empty to use this field.
curl --request POST \
--url https://app.launchdarkly.com/api/v2/auditlog \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"effect": "allow",
"resources": [
"proj/*:env/*:flag/*;testing-tag"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
]
}
]
'{
"items": [
{
"_links": {},
"_id": "1234a56b7c89d012345e678f",
"_accountId": "1234a56b7c89d012345e678f",
"date": "1654104600000",
"accesses": [
{
"action": "<string>",
"resource": "<string>"
}
],
"kind": "flag",
"name": "Example feature flag",
"description": "Example, turning on the flag for testing",
"shortDescription": "Example, turning on the flag",
"comment": "This is an automated test",
"subject": {
"_links": {},
"name": "<string>",
"avatarUrl": "<string>"
},
"member": {
"_links": {},
"_id": "507f1f77bcf86cd799439011",
"email": "ariel@acme.com",
"firstName": "Ariel",
"lastName": "Flores"
},
"token": {
"_links": {},
"_id": "<string>",
"name": "DevOps token",
"ending": "2345",
"serviceToken": false
},
"app": {
"_links": {},
"_id": "<string>",
"isScim": true,
"name": "<string>",
"maintainerName": "<string>"
},
"titleVerb": "turned on the flag",
"title": "<string>",
"target": "[Ariel Flores](mailto:ariel@acme.com) turned on the flag [example-flag](https://app.launchdarkly.com/example-project/production/features/example-flag) in Production",
"parent": {
"_links": {},
"name": "<string>",
"resource": "<string>"
}
}
],
"_links": {}
}